"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthType = void 0;
/**
 * @export
 * @enum {number}
 */
var AuthType;
(function (AuthType) {
    AuthType[AuthType["AuthTypeSASLNone"] = 0] = "AuthTypeSASLNone";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLCRAMMD5"] = 1] = "AuthTypeSASLCRAMMD5";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLPlain"] = 2] = "AuthTypeSASLPlain";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLGSSAPI"] = 4] = "AuthTypeSASLGSSAPI";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLDIGESTMD5"] = 8] = "AuthTypeSASLDIGESTMD5";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLLogin"] = 16] = "AuthTypeSASLLogin";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLSRP"] = 32] = "AuthTypeSASLSRP";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLNTLM"] = 64] = "AuthTypeSASLNTLM";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeSASLKerberosV4"] = 128] = "AuthTypeSASLKerberosV4";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeXOAuth2"] = 256] = "AuthTypeXOAuth2";
    // tslint:disable-next-line: no-bitwise
    AuthType[AuthType["AuthTypeXOAuth2Outlook"] = 512] = "AuthTypeXOAuth2Outlook";
})(AuthType = exports.AuthType || (exports.AuthType = {}));
;
//# sourceMappingURL=AuthType.js.map